import request from "@/utils/request";

//故障码列表展示
export function getfaultrule(data){
  return request({
    url:"/electronic/faultcondition/list",
    method: "POST",
    data: data
  })
}

//制定规则
export function addrule(data){
  return request({
    url:"/electronic/faultcondition/faultconditionadd",
    method: "POST",
    data: data
  })
}

//修改规则
export function updruleForm(data){
  return request({
    url:"/electronic/faultcondition/faultconditionupd",
    method: "POST",
    data: data
  })
}

//删除规则
export function delruleForm(carconditionId){
  return request({
    url:"/electronic/faultcondition/faultconditiondel/"+carconditionId,
    method: "POST",
  })
}

